> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Client Billing Document

> Signs an already stored document for an authorized sent invoice.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/download-client-billing-document
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/download-client-billing-document:
    post:
      operationId: downloadClientBillingDocument
      summary: Download Client Billing Document
      description: |-
        Signs an already stored document for an authorized sent invoice.

        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DownloadClientBillingDocumentRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadClientBillingDocumentResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DownloadClientBillingDocumentRequest:
      type: object
      properties:
        invoiceID:
          type: string
          format: uuid
        document:
          type: string
          enum:
            - INVOICE
            - DETAILED
            - SUMMARY
            - WORKINGS
      required:
        - invoiceID
        - document
    DownloadClientBillingDocumentResponse:
      type: object
      properties:
        url:
          type: string
      required:
        - url
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
